<?php

namespace App\Classes\Modules\Banks\Standards\Rules;

use App\Classes\General\Abstracts\AbstractRule;
use App\Classes\Modules\Banks\Standards\Validators\BankValidation;
use App\Classes\Modules\Companies\DataTransferObjects\CompanyObject;

class CanListBanks extends AbstractRule
{

    /**
     * @return bool
     */
    protected function authorized(): bool
    {
        return true;
    }

    /**
     * @param CompanyObject $object
     * @return bool
     */
    protected function validators($object): bool
    {
        return true;
    }

    /**
     * @param CompanyObject $object
     * @return bool
     */
    protected function criteria($object): bool
    {
        return true;
    }
}